net.corda.core.crypto

## Class PartialTree.Leaf

- net.corda.core.crypto.PartialMerkleTree.PartialTree
- - net.corda.core.crypto.PartialMerkleTree.PartialTree.Leaf

- Enclosing class:
    PartialMerkleTree.PartialTree

      public static class PartialTree.Leaf
      extends PartialMerkleTree.PartialTree

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.PartialMerkleTree.PartialTree

      `PartialTree.IncludedLeaf, PartialTree.Leaf, PartialTree.Node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leaf(SecureHash hash)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getHash()`

- - ### Constructor Detail

    - #### Leaf

          public Leaf(SecureHash hash)

  - ### Method Detail

    - #### getHash

          public SecureHash getHash()